// sketch weerstation 1a. 
// meten van de relatieve luchtvochtigheid en temperatuur met een DHT22 sensor.
// de meetwaarden wordt naar de seriële monitor gestuurd.

#include <DHT.h>; // DHT sensor bibliotheek toevoegen

// DHT22 type van de sensor en pen 9 voor data

DHT sensor_dht(9, DHT22); // onze sensor heet nu: sensor_dht

float temperatuur, vochtigheid; // 2 variabelen om de meetwaarden op te slaan

void setup()
{
  sensor_dht.begin(); // start de sensor om metingen te doen
  Serial.begin(9600); // start de seriele monitor
}

void loop()
{
  delay(2000); // wacht 2 seconden
  //lees de sensor (temperatuur en de vochtigheid) uit en bewaar die in de variabelen
  temperatuur = sensor_dht.readTemperature();
  vochtigheid = sensor_dht.readHumidity();

  // stuur de gemeten waarde naar de seriële monitor
  Serial.print("Luchtvochtigheid: ");
  Serial.print(vochtigheid);
  Serial.print(" %, Temperatuur: ");
  Serial.print(temperatuur);
  Serial.println(" Celsius");
}
